
/* Overlay */
.mobile-menu-overlay {
  position: fixed;
  z-index: 3000;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100%;
  background: rgba(50, 59, 85, 0.94);
  transition: 0.3s;
  overflow-y: auto;
}

/* Fullscreen overlay menu */
.mobile-menu {
  background: white;
  width: 100vw;
  max-width: 100vw;
  margin: 0;
  margin-top: 0;
  min-height: 100vh;
  border-radius: 0;
  box-shadow: 0 6px 32px rgb(0 0 0 / 32%);
  position: relative;
  padding-bottom: 0;
}

/* Close icon styling */
.mobile-menu-close {
  color: #495057;
  font-size: 2rem;
  z-index: 1;
  background: none;
}

/* Menu Levels */
.mobile-menu-level {
  transition: all 350ms cubic-bezier(.63,.17,.44,.98);
  min-height: 60vh;
}

/* Text */
.tanita-mobile-list {
  text-align: left;
}
.tanita-mobile-list li a {
  color: #233b55;
  text-decoration: none;
  font-weight: 400;
  font-size: 16px;
  padding: 0.85em 1em;
  display: block;
  border-bottom: 1px solid #f3f3f3;
}
.tanita-mobile-list li:last-child a {
  border: none;
}
.tanita-mobile-list li a i {
  font-size: 1em;
  color: #aaa;
}
.tanita-mobile-list li a.mobile-menu-prev {
  color: #005587;
  font-weight: 600;
  background: #f2f7fa;
  border-radius: 0.25em;
}
.tanita-mobile-list li a.mobile-menu-next {
  background: #fff;
}

/* Search input */
.mobile-menu input[type="text"] {
  border-radius: 22px;
  border: 1px solid #dedede;
  font-size: 1em;
  padding: 0.5em 1em;
  outline: none;
  width: 100%;
}
.mobile-menu .border-top {
  border-top: 1px solid #eaeaea !important;
  background: #fff;
  padding-bottom: 1em;
}
.mobile-menu .language-select a {
  padding: 0.4em 1em;
}

@media (max-width: 576px) {
  #blue-header {padding: 1rem;}
  .navbar {padding: 1rem;}
  .mobile-menu { padding: 2rem; }
  .tanita-mobile-list li a { font-size: 16px; padding: 0.72em 0.5em;}
  #blue-header { padding: 0.3rem 0.2rem !important; }
  .header-row { max-width: 100% !important; font-size: 0.85em; }
}

/* Tablet/phone menu: show burger and mobile menu if <1399px */
@media (max-width: 1399px) {
  .navbar {padding: 1rem;}
  .mobile-menu { padding: 2rem; }
  .tanita-mobile-navbar { display: block !important; }
  .navbar.d-none.d-xxl-block { display: none !important; }
  .mobile-menu { width: 100vw; max-width: 100vw; margin: 0; margin-top: 0; min-height: 100vh; border-radius: 0; }
}

/* By default, bootstrap d-none hides the mobile nav above 1399px and shows desktop nav */
.tanita-mobile-navbar { display: none; }